View Issue Details

IDProjectCategoryView StatusLast Update
0003448SymmetricDSBugpublic2018-03-20 12:56
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.30 
Target Version3.8.34Fixed in Version3.8.34 
Summary0003448: DataExtractorService can't create file lock first time due to missing 'common' directory
DescriptionThis occurs when starting up a clustered instance of SymmetricDS using extract in background for the first time. A workaround is to create the "common" directory in the path below, by hand. This issue was also fixed in the 3.9 series.

2018-02-22 16:57:22,732 WARN [corp-000] [StagingManager] [corp-000-dataextractor-5] Failed to create lock file (/opt/symmetricds/tmp/corp-000/outgoing/common/0000000062.lock)
java.io.IOException: No such file or directory
    at java.io.UnixFileSystem.createFileExclusively(Native Method)
    at java.io.File.createNewFile(File.java:1006)
    at org.jumpmind.symmetric.io.stage.StagingManager.acquireFileLock(StagingManager.java:223)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.acquireStagingFileLock(DataExtractorService.java:1001)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.acquireLock(DataExtractorService.java:977)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extractOutgoingBatch(DataExtractorService.java:874)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extractBatch(DataExtractorService.java:782)
    at org.jumpmind.symmetric.service.impl.DataExtractorService$1.call(DataExtractorService.java:612)
    at org.jumpmind.symmetric.service.impl.DataExtractorService$1.call(DataExtractorService.java:1)
    at java.util.concurrent.FutureTask.run(FutureTask.java:262)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
    at java.lang.Thread.run(Thread.java:745)

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.8 1a4a2d7d

2018-02-22 17:07:18

mmichalek

Details Diff
0003448: DataExtractorService can't create file lock first time due to
missing 'common' directory

0003448
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/stage/StagingManager.java Diff File

Issue History

Date Modified Username Field Change
2018-02-22 17:06 mmichalek New Issue
2018-02-22 17:06 mmichalek Status new => assigned
2018-02-22 17:06 mmichalek Assigned To => mmichalek
2018-02-22 17:08 mmichalek Status assigned => resolved
2018-02-22 17:08 mmichalek Resolution open => fixed
2018-02-22 17:08 mmichalek Fixed in Version => 3.8.34
2018-02-23 11:00 mmichalek Changeset attached => SymmetricDS 3.8 1a4a2d7d
2018-03-20 12:56 chenson Status resolved => closed